import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner bucket list

Lists the Microsoft Planner buckets in a plan

## Usage

```sh
m365 planner bucket list [options]
```

## Options

```md definition-list
`--planId [planId]`
: ID of the plan to list the buckets of. Specify either `planId`, `planTitle`, or `rosterId` but not multiple.

`--planTitle [planTitle]`
: Title of the plan to list the buckets of. Specify either `planId`, `planTitle`, or `rosterId` but not multiple.

`--rosterId [rosterId]`
: ID of the Planner Roster. Specify either `planId`, `planTitle`, or `rosterId` but not multiple.

`--ownerGroupId [ownerGroupId]`
: ID of the group to which the plan belongs. Specify `ownerGroupId` or `ownerGroupName` when using `planTitle`.

`--ownerGroupName [ownerGroupName]`
: Name of the group to which the plan belongs. Specify `ownerGroupId` or `ownerGroupName` when using `planTitle`.
```

<Global />

## Remarks

:::warning

When using `rosterId`, the command is based on an API that is currently in preview and is subject to change once the API reached general availability.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions                      |
  |-----------------|----------------------------------|
  | Microsoft Graph | Tasks.Read, GroupMember.Read.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions                          |
  |-----------------|--------------------------------------|
  | Microsoft Graph | Tasks.Read.All, GroupMember.Read.All |

  </TabItem>
</Tabs>

## Examples

Lists the Microsoft Planner buckets based on its plan ID

```sh
m365 planner bucket list --planId "xqQg5FS2LkCp935s-FIFm2QAFkHM"
```

Lists the Microsoft Planner buckets based on its plan title and owner group name

```sh
m365 planner bucket list --planTitle "My Plan" --ownerGroupName "My Group"
```

Lists the Microsoft Planner buckets based on its Roster ID

```sh
m365 planner bucket list --planTitle "My Plan" --rosterId "RuY-PSpdw02drevnYDTCJpgAEfoI"
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  [
    {
      "name": "My Planner Bucket",
      "planId": "xqQg5FS2LkCp935s-FIFm2QAFkHM",
      "orderHint": "8585363889524958496",
      "id": "ttEB_Uj690STdR3GC1MIDZgANq1U"
    }
  ]
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  id                            name               planId                        orderHint
  ----------------------------  -----------------  ----------------------------  -------------------
  ttEB_Uj690STdR3GC1MIDZgANq1U  My Planner Bucket  xqQg5FS2LkCp935s-FIFm2QAFkHM  8585363889524958496
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  id,name,planId,orderHint
  ttEB_Uj690STdR3GC1MIDZgANq1U,My Planner Bucket,xqQg5FS2LkCp935s-FIFm2QAFkHM,8585363889524958496
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # planner bucket list --planId "xqQg5FS2LkCp935s-FIFm2QAFkHM"

  Date: 27/12/2022

  ## My Planner Bucket (ttEB_Uj690STdR3GC1MIDZgANq1U)

  Property | Value
  ---------|-------
  name | My Planner Bucket
  planId | xqQg5FS2LkCp935s-FIFm2QAFkHM
  orderHint | 8585363889524958496
  id | ttEB_Uj690STdR3GC1MIDZgANq1U
  ```

  </TabItem>
</Tabs>

